For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTValidate Slack bot token (deprecated)
      • POSTValidate Telegram bot token (deprecated)
      • POSTValidate channel credentials
      • POSTSend echo message
Dashboard
LogoLogo
Runtype APIMessaging Validations

Validate Telegram bot token (deprecated)

POST
/v1/messaging/validations/telegram/bot-token
POST
/v1/messaging/validations/telegram/bot-token
$curl -X POST https://api.runtype.com/v1/messaging/validations/telegram/bot-token \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "botToken": "123456789:ABCdefGhIJKlmNoPQRsTUVwxyZ"
>}'
1{
2 "valid": true
3}

Back-compat shim. Use POST /{channelType}/credentials instead.

Was this page helpful?
Previous

Validate channel credentials

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
botTokenstringRequired>=1 character

Response

Validation result
validboolean

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error